Bug 507437 - virt-manager does not find a default connection to kvm/qemu
virt-manager does not find a default connection to kvm/qemu
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 14:34 EDT by Eric Paris
Modified: 2009-12-14 16:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix qemu autodetection at app startup (597 bytes, text/plain)
2009-06-29 13:49 EDT, Cole Robinson
no flags Details

  None (edit)
Description Eric Paris 2009-06-22 14:34:48 EDT
Description of problem:

kvm-83-77.el5
python-virtinst-0.400.3-4.el5
libvirt-0.6.3-11.el5
virt-manager-0.6.1-4.el5

Starting virt-manager has no default automagic connection.

ln -s /usr/libexec/qemu-kvm /usr/bin

Problem goes away.
Comment 1 Cole Robinson 2009-06-29 13:49:08 EDT
Created attachment 349833 [details]
Fix qemu autodetection at app startup

The proper way to do this would be to teach virt-manager to handle an a uri of 'None', which will defer to libvirt for this detection. Unfortunately, this change looks to be a wee bit involved, so I think it is safer to just try and look into /usr/libexec for the qemu-kvm binary, similar to how the existing detection works.
Comment 6 Cole Robinson 2009-07-07 14:27:07 EDT
Built into virt-manager-0.6.1-6.el5. Setting to MODIFIED.
Comment 12 errata-xmlrpc 2009-09-02 05:43:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1285.html

Note You need to log in before you can comment on or make changes to this bug.